//+------------------------------------------------------------------+
//|                                     desperatly seeking susan.mq4 |
//|                                                            ....h |
//|                                                 hayseedville.com |
//+------------------------------------------------------------------+
#property copyright "....h"
#property link      "hayseedville.com"


extern int  timeframe      =    240;
extern int  pips           =      1;

extern bool alerthighbreak =  false;
extern bool alertlowbreak  =  false;

datetime    CheckTime;


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   double high  = iHigh(Symbol(),timeframe,1);
   double low   = iLow(Symbol(),timeframe,1);
   double pipMultiplier = 1; if (MathMod(_Digits,2)==1) pipMultiplier = 10;
   
   string bid   = DoubleToStr(Bid,Digits);

   if(CheckTime==iTime(NULL,0,0)) return(0);
      {         
   if(alerthighbreak && (Bid+pips*pipMultiplier*Point) > high) 
      { 
      CheckTime = iTime(NULL,0,0);
      Alert (Symbol() + "   " + timeframe + "   breaking high  " + bid);
      SendMail("metatrader alert",Symbol() + "   " + timeframe  + "  minute breaking high   " + bid);
      }   

   if(alertlowbreak && (Bid-pips*pipMultiplier*Point) < low) 
      { 
      CheckTime = iTime(NULL,0,0);
      Alert (Symbol() + "   " + timeframe + "   breaking low   " + bid);
      SendMail("metatrader alert",Symbol() + "   " + timeframe  + "  minute breaking low   " + bid);
      }   
      }

    
//----
   return(0);
  }
//+------------------------------------------------------------------+